%ifarch x86_64
%define	wine	wine64
%define	mark64	()(64bit)
%else
%define	wine	wine
%define	mark64	%{nil}
%endif
%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname wine -d

# On 32-bit we have
# wine32 - those 32-bit binaries that are also used on 64-bit for 32-bit support
# wine - all other files (requires 'wine32')
# On 64-bit we have
# wine64 - all 64-bit files (suggests 'wine32')
# - Anssi 07/2010

# When altering these, make sure corresponding wine-gecko/wine-mono is
# submitted, or notify their maintainer about the new version:
# Dependencies hardcoded in dlls/appwiz.cpl/addons.c
%define gecko_version	2.47
%define mono_version	4.6.4

# disable fortify as it breaks wine
# http://bugs.winehq.org/show_bug.cgi?id=24606#c22
# http://bugs.winehq.org/show_bug.cgi?id=25073
%define _fortify_cflags	%{nil}

Name:		wine
Epoch:		1
Version:	2.0
Release:	%mkrel 4
Summary:	WINE Is Not An Emulator - runs MS Windows programs
License:	LGPLv2+
Group:		Emulators
URL:		http://www.winehq.com/
Source0:	http://prdownloads.sourceforge.net/wine/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/wine/%{name}-%{version}.tar.bz2.sign
Source2:	%{name}.init
Source3:	%{name}-icons_256.tar.xz
Source900:	https://github.com/wine-compholio/wine-staging/archive/v%{version}/wine-staging-%{version}.tar.gz
# (Anssi 05/2008) Adds:
# a: => /media/floppy (/mnt/floppy on 2007.1 and older)
# d: => $HOME (at config_dir creation time, not refreshed if $HOME changes;
#              note that Wine also provides $HOME in My Documents)
# com4 => /dev/ttyUSB0 (replaces /dev/ttyS3)
Patch108:	%{name}-mgaconf.patch

BuildRequires:  autoconf
BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  cups-devel
BuildRequires:  dbus-devel
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtd-sgml
BuildRequires:  docbook-utils
BuildRequires:  flex
BuildRequires:  fontconfig-devel
BuildRequires:  fontforge
BuildRequires:  freetype2-devel
BuildRequires:  gettext-devel
BuildRequires:  glibc-static-devel
BuildRequires:  gnutls-devel
BuildRequires:  gphoto2-devel
BuildRequires:  gpm-devel
BuildRequires:  gsm-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  gtk3-devel
BuildRequires:  icoutils
BuildRequires:  imagemagick
BuildRequires:  isdn4k-utils-devel
BuildRequires:  lcms2-devel
BuildRequires:  libalsa-devel
BuildRequires:  libgstreamer1.0-plugins-base-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libpcap-devel
BuildRequires:  librsvg
BuildRequires:  libsm-devel
BuildRequires:  libv4l-devel
BuildRequires:  libva-devel
BuildRequires:  libx11-devel
BuildRequires:  libxcomposite-devel
BuildRequires:  libxcursor-devel
BuildRequires:  libxext-devel
BuildRequires:  libxi-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxrender-devel
BuildRequires:  libxslt-devel
BuildRequires:  mesaglu-devel
BuildRequires:  ncurses-devel
BuildRequires:  openal-devel
BuildRequires:  opencl-devel
BuildRequires:  openldap-devel
BuildRequires:  osmesa-devel
BuildRequires:  perl-devel
BuildRequires:  png-devel
BuildRequires:  prelink
BuildRequires:  pulseaudio-devel
BuildRequires:  sane-devel
BuildRequires:  sgml-tools
BuildRequires:  tiff-devel
BuildRequires:  ungif-devel
BuildRequires:  unixODBC-devel
BuildRequires:  valgrind-devel
BuildRequires:  xpm-devel

%define desc Wine is a program which allows running Microsoft Windows programs \
(including DOS, Windows 3.x and Win32 executables) on Unix. It \
consists of a program loader which loads and executes a Microsoft \
Windows binary, and a library (called Winelib) that implements Windows \
API calls using their Unix or X11 equivalents.  The library may also \
be used for porting Win32 code into native Unix executables.

%ifarch x86_64
%package -n	%{wine}
Summary:	WINE Is Not An Emulator - runs MS Windows programs
Group:		Emulators
Recommends:	%{name}32 = %{epoch}:%{version}-%{release}
Recommends:	%{name}64-gecko = %gecko_version
%else
# on 32-bit we always want wine32 package
Requires:	%{name}32 = %{epoch}:%{version}-%{release}
%endif

Provides:	%{wine}-utils = %{epoch}:%{version}-%{release} %{wine}-full = %{epoch}:%{version}-%{release}
Provides:	%{lib_name}-capi = %{epoch}:%{version}-%{release} %{lib_name}-twain = %{epoch}:%{version}-%{release}
Provides:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	wine-bin = %{epoch}:%{version}-%{release}
Obsoletes:	%{wine}-utils %{wine}-full %{lib_name}-capi %{lib_name}-twain
Obsoletes:	%{lib_name} <= %{epoch}:%{version}-%{release}
Recommends:	sane-frontends
%define dlopenreq() %(F=%{_libdir}/lib%{1}.so;[ -e $F ] && (file $F|grep -q ASCII && grep -o 'lib[^ ]*' $F|sed -e "s/\$/%{mark64}/"||objdump -p $F | grep SONAME | awk '{ print $2 "%{mark64}" }') || echo "wine-missing-buildrequires-on-%{1}")
# wine dlopen's these, so let's add the dependencies ourself
# Adding these here is especially important with wine, since wine32 is
# commonly one of the few 32-bit components on a 64-bit installation, so
# these packages might not necessarily be pulled by anything else.
# grep WINE_CHECK_SONAME configure.ac :) (though note that some of those
# results are in autoreq already) - (Anssi 08/2012)
Requires:       %dlopenreq asound
Requires:       %dlopenreq crypto
Requires:       %dlopenreq cups
Requires:       %dlopenreq dbus-1
Requires:       %dlopenreq fontconfig
Requires:       %dlopenreq freetype
Requires:       %dlopenreq gnutls
Requires:       %dlopenreq gsm
Requires:       %dlopenreq jpeg
Requires:       %dlopenreq ncurses
Requires:       %dlopenreq odbc
Requires:       %dlopenreq OSMesa
Requires:       %dlopenreq png
Requires:       %dlopenreq sane
Requires:       %dlopenreq ssl
Requires:       %dlopenreq tiff
Requires:       %dlopenreq v4l1
Requires:       %dlopenreq Xcomposite
Requires:       %dlopenreq Xcursor
Requires:       %dlopenreq Xi
Requires:       %dlopenreq Xinerama
Requires:       %dlopenreq Xrandr
Requires:       %dlopenreq Xrender
Requires:       %dlopenreq xslt
Requires:       %dlopenreq Xxf86vm
#Requires:	%%dlopenreq capi20  # ISDN support - unlikely to be needed
# (Anssi) If not installed, wine pops up a dialog on first start proposing to
# download pre-built binaries (unlike wine-gecko, same wine-mono works with
# both wine and wine64):
Recommends:	wine-mono = %mono_version
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
Requires(post):		desktop-common-data
Requires(postun):	desktop-common-data
Requires(preun):	rpm-helper
Requires(post):		rpm-helper
%ifarch %{ix86}
Conflicts:	%{name}64
%else
Conflicts:	%{name}
%endif

%description
%desc

%ifarch x86_64
%description -n	%{wine}
%desc

This package contains the Win64 version of Wine. You need the wine32
package from the 32-bit repository to be able to run 32-bit applications.
%endif

%ifnarch x86_64
%package -n	wine32
Summary:	32-bit support for Wine
Group:		Emulators
# This is not an EVR-specific requirement, as otherwise on x86_64 urpmi could
# resolve the dependency to wine64 even on upgrades, and therefore replace
# wine+nwine32 installation with a wine32+wine64 installation. - Anssi
Requires:	%{name}-bin
Conflicts:	%{name} < 1:1.2-0.rc7.1
Conflicts:	%{name}64 < 1:1.2-0.rc7.1
# (Anssi) If wine-gecko is not installed, wine pops up a dialog on first
# start proposing to download wine-gecko from sourceforge, while recommending
# to use distribution packages instead. Therefore suggest wine-gecko here:
Recommends:	%{name}-gecko = %gecko_version

%description -n	wine32
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the files needed to support 32-bit Windows
programs.
%endif

%package -n	%{wine}-devel
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{wine} = %{epoch}:%{version}
Provides:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{lib_name_devel} <= %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d wine 1} < %{epoch}:%{version}
%ifarch %{ix86}
Conflicts:	%{name}64-devel
%else
Conflicts:	%{name}-devel
%endif

%description -n	%{wine}-devel
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

%{wine}-devel contains the libraries and header files needed to
develop programs which make use of wine.

%prep
%setup -q
%autopatch -p1
# setup and apply compholio-patches or pulseaudio-patch.
gzip -dc %{SOURCE900} | tar -xf - --strip-components=1
%{__make} -C patches DESTDIR="`pwd`" install

GECKO_VERSION=$(sed -rn 's,^#define\s+GECKO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$GECKO_VERSION" = "%gecko_version" ] || { echo %{name}-gecko version mismatch; exit 1; }
MONO_VERSION=$(sed -rn 's,^#define\s+MONO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$MONO_VERSION" = "%mono_version" ] || { echo wine-mono version mismatch; exit 1; }

%build
autoreconf

%ifarch %ix86
# (Anssi 04/2008) mdvbug #39604
# Some protection systems complain "debugger detected" with our
# -fomit-frame-pointer flag, so disable it.
# It also causes some crashing issues, and the upstream workaround
# in configure script does not seem to work properly. -Anssi 12/2012
export CFLAGS="%{optflags} -fno-omit-frame-pointer"
%endif

%configure2_5x	--with-x \
		--with-pulse \
		--without-hal \
%ifarch x86_64
		--enable-win64
%endif

%make_build depend
%make_build

%install
%make_install LDCONFIG=/bin/true

# Allow users to launch Windows programs by just clicking on the .exe file...
install -m 0755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
        <Name>Tools</Name>
        <Menu>
            <Name>Emulators</Name>
            <Menu>
                <Name>Wine</Name>
                <Directory>%{name}.directory</Directory>
                <Include>
                    <Category>X-Wine</Category>
                </Include>
            </Menu>
        </Menu>
    </Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/%{name}.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wine
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications
for i in	winecfg:Wine\ Configuration:winecfg \
		notepad:Wine\ Notepad:notepad \
		winefile:Wine\ File\ Manager:winefile \
		regedit:Wine\ Registry\ Editor:regedit \
		winemine:Wine\ Minesweeper:winemine \
		wineboot:Wine\ Reboot:wine \
		"wineconsole cmd":Wine\ Command\ Line:wine \
		"wine uninstaller":Wine\ Software\ Uninstaller:msiexec \
		"wine wordpad":Wine\ Wordpad:wordpad \
		"wine winhlp32":Wine\ WinHelp:winhelp \
		"wine oleview":Wine\ OLE\ View:wine;
do cat > %{buildroot}%{_datadir}/applications/%{name}-`echo $i|cut -d: -f1|sed s/"%{name} "//g`.desktop << EOF
[Desktop Entry]
Name=`echo $i|cut -d: -f2`
Comment=`echo $i|cut -d: -f2`
Exec=`echo $i|cut -d: -f1`
Icon=`echo $i|cut -d: -f3`
Terminal=false
Type=Application
Categories=X-Wine;
EOF
done

# Use Category=Wine instead of the previous workaround (Category=Emulator)
desktop-file-install	--add-mime-type=application/x-zip-compressed \
			--remove-mime-type=application/x-zip-compressed \
			--add-category=X-Wine \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%ifarch x86_64
# fix the binary name
sed -i 's,Exec=wine ,Exec=wine64 ,' %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
tar -Jxf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/{wine64,wineserver,wmc,wrc} %{buildroot}%{_libdir}/%{name}/*.so
%else
chrpath -d %{buildroot}%{_bindir}/{wine,wineserver,wmc,wrc} %{buildroot}%{_libdir}/%{name}/*.so
%endif

%ifarch x86_64
cat > README.install.urpmi <<EOF
This is the Win64 version of Wine. This version can only be used to run
64-bit Windows applications as is. For running 32-bit Windows applications,
you need to also install the 'wine32' package from the 32-bit repository.
EOF
%endif

%preun -n %{wine}
%_preun_service %{name}

%post -n %{wine}
%_post_service %{name}

%files -n %{wine}
%doc ANNOUNCE AUTHORS README
%ifarch x86_64
%doc README.install.urpmi
%{_bindir}/%{name}64
%{_bindir}/%{name}64-preloader
%endif
%{_initrddir}/%{name}
%{_bindir}/winecfg
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
%{_bindir}/msidb
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/regsvr32
%{_bindir}/winefile
%ifnarch x86_64
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif
%lang(de) %{_mandir}/de.UTF-8/man?/wineserver.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/wineserver.?*
%{_mandir}/man?/wineserver.?*
%{_mandir}/man?/msiexec.?*
%{_mandir}/man?/notepad.?*
%{_mandir}/man?/regedit.?*
%{_mandir}/man?/regsvr32.?*
%{_mandir}/man?/wineboot.?*
%{_mandir}/man?/winecfg.?*
%{_mandir}/man?/wineconsole.?*
%{_mandir}/man?/winefile.?*
%{_mandir}/man?/winemine.?*
%{_mandir}/man?/winepath.?*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.inf
%{_datadir}/%{name}/l_intl.nls
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu
%{_datadir}/desktop-directories/%{name}.directory
%dir %{_datadir}/wine/fonts
%{_datadir}/wine/fonts/*
%{_iconsdir}/hicolor/*/apps/*.png

%ifnarch x86_64
%files -n wine32
%{_bindir}/wine
%ifarch %{ix86}
%{_bindir}/wine-preloader
%endif
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif

%{_libdir}/libwine*.so.%{lib_major}*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.cpl.so
%{_libdir}/%{name}/*.drv.so
%{_libdir}/%{name}/*.dll.so
%{_libdir}/%{name}/*.exe.so
%{_libdir}/%{name}/*.acm.so
%{_libdir}/%{name}/*.ocx.so
%ifarch %{ix86}
%{_libdir}/%{name}/*.vxd.so
%{_libdir}/%{name}/*16.so
%endif
%{_libdir}/%{name}/*.tlb.so
%{_libdir}/%{name}/*.ds.so
%{_libdir}/%{name}/*.sys.so
%{_libdir}/%{name}/fakedlls

%files -n %{wine}-devel
%{_libdir}/%{name}/*.a
%{_libdir}/libwine*.so
%{_libdir}/%{name}/*.def
%{_includedir}/*
%{_bindir}/wmc
%{_bindir}/wrc
%{_bindir}/winebuild
%{_bindir}/winegcc
%{_bindir}/wineg++
%{_bindir}/winecpp
%{_bindir}/widl
%{_bindir}/winedbg
%{_bindir}/winemaker
%{_bindir}/winedump
%lang(de) %{_mandir}/de.UTF-8/man?/winemaker.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/winemaker.?*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winecpp.1*


%changelog
* Fri Mar 10 2017 akien <akien> 1:2.0-4.mga6
+ Revision: 1091638
- Rebuild for v4l-utils 1.12.3

* Wed Mar 01 2017 ghibo <ghibo> 1:2.0-3.mga6
+ Revision: 1088293
- Rebuilt against pulseaudio 10

* Sun Feb 19 2017 daviddavid <daviddavid> 1:2.0-2.mga6
+ Revision: 1086867
- switch to gstreamer1.0 support
- enable gtk3, libpcap and libva support

* Thu Jan 26 2017 akien <akien> 1:2.0-1.mga6
+ Revision: 1083468
- Version 2.0
- Remove P109 for wine gecko and mono versions, we have the proper ones

  + tv <tv>
    - new release

* Sat Sep 24 2016 daviddavid <daviddavid> 1:1.8.4-2.mga6
+ Revision: 1055643
- add patch to adapt wine with our current wine-mono 4.6.3 and wine-gecko 2.44 version

* Thu Sep 22 2016 daviddavid <daviddavid> 1:1.8.4-1.mga6
+ Revision: 1055125
- new version: 1.8.4

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-6.mga6
+ Revision: 985586
- wine-preloader does not seem to exist on arm

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-5.mga6
+ Revision: 985554
- Fix other ifarch for non ix86 arch

* Fri Mar 04 2016 pterjan <pterjan> 1:1.8-4.mga6
+ Revision: 985541
- Fix file list on non x86_64 non ix86 arch

* Thu Mar 03 2016 umeabot <umeabot> 1:1.8-3.mga6
+ Revision: 984750
- Rebuild for openssl

* Sat Jan 16 2016 akien <akien> 1:1.8-2.mga6
+ Revision: 924627
- Loader man pages are only installed on 32-bit
- Version 1.8

  + luigiwalser <luigiwalser>
    - rebuild for gnutls

  + joequant <joequant>
    - rebuild with new mesa

  + tv <tv>
    - new release
    - new release

* Mon Aug 24 2015 tv <tv> 1:1.7.49-1.mga6
+ Revision: 869058
- new release

* Sun Aug 02 2015 cjw <cjw> 1:1.7.48-1.mga6
+ Revision: 860732
- 1.7.48

* Sun Jul 26 2015 tv <tv> 1:1.7.47-1.mga6
+ Revision: 857921
- new release

* Mon Jun 29 2015 tv <tv> 1:1.7.46-1.mga6
+ Revision: 847307
- new release

* Sun Jun 21 2015 tv <tv> 1:1.7.45-1.mga6
+ Revision: 837965
- new release
- add staging patches

* Sun Feb 22 2015 anaselli <anaselli> 1:1.7.30-1.mga6
+ Revision: 816567
- Updated tp 1.7.30 last version that is compatible with wine-gecko 2.24
- rebuilt for new libgphoto2

  + dams <dams>
    - new version 1.7.29

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Sep 06 2014 tv <tv> 1:1.7.26-2.mga5
+ Revision: 672543
- new release

* Sat Aug 23 2014 dams <dams> 1:1.7.25-2.mga5
+ Revision: 666707
- new version 1.7.25

* Fri Aug 15 2014 dams <dams> 1:1.7.24-2.mga5
+ Revision: 662635
- new version 1.7.24

* Sun Aug 03 2014 luigiwalser <luigiwalser> 1:1.7.22-2.mga5
+ Revision: 659477
- fix lcms BR (should be lcms2)

* Wed Jul 23 2014 dams <dams> 1:1.7.22-1.mga5
+ Revision: 655810
- new version 1.7.22

* Sat May 17 2014 dams <dams> 1:1.7.19-1.mga5
+ Revision: 623329
- new version 1.7.19

* Fri May 02 2014 dams <dams> 1:1.7.18-1.mga5
+ Revision: 619710
- new version 1.7.18

* Mon Apr 28 2014 dams <dams> 1:1.7.17-1.mga5
+ Revision: 618739
- new version 1.7.17

* Sat Apr 26 2014 akien <akien> 1:1.7.16-2.mga5
+ Revision: 618167
- Using X-Wine instead of Wine category to satisfy desktop-file-validate
- Use Wine desktop category instead of Emulator, to fix duplicate Emulators and Wine menu entries

* Fri Apr 04 2014 dams <dams> 1:1.7.16-1.mga5
+ Revision: 611774
- new version 1.7.16

* Sat Mar 22 2014 dams <dams> 1:1.7.15-1.mga5
+ Revision: 606596
- new version 1.7.15

* Sat Mar 08 2014 dams <dams> 1:1.7.14-1.mga5
+ Revision: 601288
- new version 1.7.14

* Thu Feb 27 2014 dams <dams> 1:1.7.13-1.mga5
+ Revision: 597583
- new version 1.7.13

* Thu Feb 13 2014 dams <dams> 1:1.6.2-2.mga5
+ Revision: 590100
- fix file list (man page in the wrong subpackage) as requested on mga#12741

* Tue Feb 04 2014 dams <dams> 1:1.6.2-1.mga5
+ Revision: 580644
- new version 1.6.2

* Tue Dec 24 2013 dams <dams> 1:1.6.1-2.mga4
+ Revision: 560279
- add a patch from 1.7.x to fix broken InternetReadFile() mga#11865

* Sun Nov 17 2013 tv <tv> 1:1.6.1-1.mga4
+ Revision: 551657
- drop merged patch
- new release
- drop special gcc BR on x86_64

* Sat Nov 16 2013 tv <tv> 1:1.6-3.mga4
+ Revision: 551527
- fix build with faked libncurses.so

* Sat Sep 21 2013 dams <dams> 1:1.6-2.mga4
+ Revision: 482706
- add a patch for wine to build with bison 3.0 (from upstream)

* Fri Jul 19 2013 dams <dams> 1:1.6-1.mga4
+ Revision: 456208
- new version 1.6

* Fri Jul 12 2013 tv <tv> 1:1.6-0.rc5.1.mga4
+ Revision: 453568
- RC5

* Sat Jun 29 2013 tv <tv> 1:1.6-0.rc4.4.mga4
+ Revision: 448302
- RC4

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.4.mga4
+ Revision: 446611
- remove X-MandrivaLinux-MoreApplications-Emulators-Wine
- update 'Name' in .desktop

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.3.mga4
+ Revision: 446579
- remove useless patch for openssl
- simplify and clean specfile
- update tarball for icons
- add "ole view", "wordpad", "winhelp"

* Tue Jun 25 2013 dams <dams> 1:1.6-0.rc3.2.mga4
+ Revision: 446507
- fix wrong resize of icons and so bad rendering

* Fri Jun 21 2013 tv <tv> 1:1.6-0.rc3.1.mga4
+ Revision: 445567
- new release

* Sun Jun 16 2013 dams <dams> 1:1.6-0.rc2.1.mga4
+ Revision: 443833
- new version 1.6-rc2

* Fri Jun 07 2013 dams <dams> 1:1.6-0.rc1.3.mga4
+ Revision: 440364
- new version 1.6rc1
- new version 1.6rc1

* Mon Jun 03 2013 tv <tv> 1:1.5.31-3.mga4
+ Revision: 436713
- explicitely BR png-devel

* Mon Jun 03 2013 tv <tv> 1:1.5.31-2.mga4
+ Revision: 436329
- rebuild for new libpng

* Sun May 26 2013 dams <dams> 1:1.5.31-1.mga4
+ Revision: 427787
- update %%file
- new version 1.5.31
- update "provide"

* Thu May 23 2013 dams <dams> 1:1.5.30-1.mga4
+ Revision: 425046
- new version 1.5.30

* Tue Apr 02 2013 dams <dams> 1:1.5.27-1.mga3
+ Revision: 407204
- new version 1.5.27

* Thu Mar 21 2013 dams <dams> 1:1.5.26-1.mga3
+ Revision: 404341
- new version 1.5.26

* Tue Mar 05 2013 dams <dams> 1:1.5.25-1.mga3
+ Revision: 401465
- new version 1.5.25

* Mon Feb 18 2013 dams <dams> 1:1.5.24-1.mga3
+ Revision: 399089
- new version 1.5.24

* Fri Feb 15 2013 dams <dams> 1:1.5.23-1.mga3
+ Revision: 398586
- new version 1.5.23

* Mon Jan 07 2013 dams <dams> 1:1.5.21-1.mga3
+ Revision: 341096
- new version 1.5.21

* Wed Dec 26 2012 dams <dams> 1:1.5.20-1.mga3
+ Revision: 335243
- new version 1.5.20

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-4.mga3
+ Revision: 332632
- rebuild against new OSMesa
- make error in case of missing buildrequires more clear

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-3.mga3
+ Revision: 332592
- add explicit buildrequires on libxi-devel which is no longer installed
  implicitely
- make binary packages fail more clearly in case of missing buildrequires

* Tue Dec 18 2012 anssi <anssi> 1:1.5.19-2.mga3
+ Revision: 332518
- re-add the -fno-omit-frame-pointer build flag, as the upstream configure
  workaround does not work properly (this fixes some crash issues)
- use standard define for disabling fortify

* Mon Dec 10 2012 dams <dams> 1:1.5.19-1.mga3
+ Revision: 329407
- new version 1.5.19

* Mon Nov 26 2012 dams <dams> 1:1.5.18-1.mga3
+ Revision: 322122
- new version 1.5.18

* Sun Nov 11 2012 dams <dams> 1:1.5.17-1.mga3
+ Revision: 316966
- new version 1.5.17

* Tue Oct 30 2012 dams <dams> 1:1.5.16-1.mga3
+ Revision: 311626
- new version 1.5.16

* Tue Oct 02 2012 dams <dams> 1:1.5.14-1.mga3
+ Revision: 302211
- new version 1.5.14

* Sat Sep 15 2012 dams <dams> 1:1.5.13-1.mga3
+ Revision: 294127
- new version 1.5.13

* Wed Sep 12 2012 dams <dams> 1:1.5.12-2.mga3
+ Revision: 293158
- disable 'fortify' to prevent crashes (mga#6723)

* Sun Sep 02 2012 dams <dams> 1:1.5.12-1.mga3
+ Revision: 287344
- new version 1.5.12

* Sat Aug 18 2012 dams <dams> 1:1.5.11-1.mga3
+ Revision: 281941
- new version 1.5.11

* Sun Aug 05 2012 anssi <anssi> 1:1.5.10-2.mga3
+ Revision: 278573
- build with DIB engine OpenGL support on Mageia 3+ using libOSMesa
- build with OpenCL passthrough support on Mageia 3+
- drop obsolete xmessage requirement
- add much more requirements on dlopened libraries to ensure all relevant
  functionality works
- drop -fno-omit-frame-pointer workaround, added upstream some time ago

* Wed Aug 01 2012 dams <dams> 1:1.5.10-1.mga3
+ Revision: 277605
- use svg for scalable icons for a better rendering (from fedora)
- new version 1.5.10

  + anssi <anssi>
    - add suggests for wine-mono

* Wed Jul 18 2012 dams <dams> 1:1.5.9-1.mga3
+ Revision: 272245
- new version 1.5.9

* Wed Jul 04 2012 dams <dams> 1:1.5.8-1.mga3
+ Revision: 267706
- new version 1.5.8

* Mon Jun 25 2012 dams <dams> 1:1.5.7-1.mga3
+ Revision: 263611
- new version 1.5.7

* Mon Jun 11 2012 dams <dams> 1:1.5.6-1.mga3
+ Revision: 259864
- clean specfile
- new version 1.5.6

* Fri Mar 09 2012 fwang <fwang> 1:1.4-1.mga2
+ Revision: 221865
- new version 1.4 final

* Sun Feb 05 2012 zezinho <zezinho> 1:1.4-0.rc2.1.mga2
+ Revision: 204994
- new version 1.4 rc2

* Sat Dec 31 2011 supp <supp> 1:1.3.36-1.mga2
+ Revision: 189304
- bump to 1.3.36

  + anssi <anssi>
    - versionize suggests on gecko and enforce correct version with a %%prep
      check

* Sat Dec 17 2011 zezinho <zezinho> 1:1.3.35-1.mga2
+ Revision: 183137
- new version

* Mon Dec 05 2011 zezinho <zezinho> 1:1.3.34-1.mga2
+ Revision: 177101
- new version

* Wed Oct 26 2011 dmorgan <dmorgan> 1:1.3.30-2.mga2
+ Revision: 158136
- Rebuild because of missing packages

* Thu Oct 20 2011 zezinho <zezinho> 1:1.3.30-1.mga2
+ Revision: 156874
- use realvendor macro
- new version

* Mon Sep 26 2011 fwang <fwang> 1:1.3.29-2.mga2
+ Revision: 147966
- rebuild for missing packages

* Mon Sep 26 2011 fwang <fwang> 1:1.3.29-1.mga2
+ Revision: 147954
- new version 1.3.29

* Mon Sep 12 2011 fwang <fwang> 1:1.3.28-1.mga2
+ Revision: 142563
- new version 1.3.28

* Mon Sep 12 2011 dmorgan <dmorgan> 1:1.3.27-2.mga2
+ Revision: 142533
- Rebuild against new libpng

* Mon Sep 05 2011 fwang <fwang> 1:1.3.27-1.mga2
+ Revision: 138551
- fix init script
- new version 1.3.27

  + ahmad <ahmad>
    - Drop the winepulse patches, they're useless now that wine upstream has
      rewritten the audio support, using the Win7 architecture [mmdevapi]
      (thanks to Arthur Taylor for the heads up)
    - Drop the, now, redundant BR jackit-devel, upstream dropped support for Jack
    - Update to 1.3.25
    - Rediff winepulse-winecfg and winepulse-configure.ac patches manually
    - Drop obsolete configure options

* Sat Jul 09 2011 ahmad <ahmad> 1:1.3.24-1.mga2
+ Revision: 120937
- Update to 1.3.24

* Sat Jun 25 2011 ahmad <ahmad> 1:1.3.23-1.mga2
+ Revision: 113803
- Update to 1.3.23
- Update winepulse patches
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Fri Jun 10 2011 ahmad <ahmad> 1:1.3.22-1.mga2
+ Revision: 103264
- Update to 1.3.22
- Switch the Source(s) URLs to sourceforge, seems faster than ibiblio
- Update the file list

* Tue Jun 07 2011 ahmad <ahmad> 1:1.3.21-1.mga2
+ Revision: 101529
- Update to 1.3.21
- Use winepulse-configure.ac-1.3.20 from upstream

* Fri May 13 2011 ahmad <ahmad> 1:1.3.20-2.mga1
+ Revision: 98204
- Update to 1.3.20

* Mon May 09 2011 anssi <anssi> 1:1.3.19-2.mga1
+ Revision: 96590
- add suggests on wine64-gecko in wine64
- update old comment in .spec

* Fri Apr 29 2011 ahmad <ahmad> 1:1.3.19-1.mga1
+ Revision: 93485
- Update to 1.3.19
- Rediff the winepulse-configure.ac patch

* Fri Apr 15 2011 ahmad <ahmad> 1:1.3.18-1.mga1
+ Revision: 85844
- update to 1.3.18

* Fri Apr 01 2011 ahmad <ahmad> 1:1.3.17-1.mga1
+ Revision: 79692
- update to 1.3.17

* Sun Mar 20 2011 ahmad <ahmad> 1:1.3.16-5.mga1
+ Revision: 74642
- update to 3.1.16
- rediff winepulse configure.ac patch manually until winepulse upstream catches
  up
- add a requires on libncurses.so.*, winecfg (i586) complains about it in
  x86_64 installs

* Tue Mar 15 2011 ahmad <ahmad> 1:1.3.15-4.mga1
+ Revision: 72084
- add a runtime requires on libfontconfig, wine needs to dlopen libfontconfig
  to make CJK fonts show correctly in winecfg, (still trying to fix mga#235)

* Mon Mar 14 2011 ahmad <ahmad> 1:1.3.15-3.mga1
+ Revision: 71395
- add BR fontconfig-devel, should really fix the winecfg UI translations (mga#235)

* Sun Mar 13 2011 ahmad <ahmad> 1:1.3.15-2.mga1
+ Revision: 70893
- add BR gettext-devel, this should fix the winecfg UI translations (mga#235)
- add more BR

* Fri Mar 04 2011 ahmad <ahmad> 1:1.3.15-1.mga1
+ Revision: 64272
- update to 1.3.15

* Sun Feb 20 2011 ahmad <ahmad> 1:1.3.14-1.mga1
+ Revision: 54479
- update to 1.3.14

* Fri Feb 04 2011 ahmad <ahmad> 1:1.3.13-1.mga1
+ Revision: 46976
- update to 1.3.13

* Mon Jan 24 2011 ahmad <ahmad> 1:1.3.12-1.mga1
+ Revision: 37896
- update the winepulse patches
- rename wine-mdkconf to wine-mgaconf and regenerate it
- drop an old conflicts
- imported package wine

